Debian Bug report logs - #667470
systemd: breaks sudo

version graph

Package: libpam-systemd; Maintainer for libpam-systemd is Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>; Source for libpam-systemd is src:systemd.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Wed, 4 Apr 2012 10:45:01 UTC

Severity: grave

Merged with 667495, 667515, 667814

Found in version systemd/44-1

Fixed in version 44-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=45670

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package systemd. (Wed, 04 Apr 2012 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 Apr 2012 10:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: systemd: breaks sudo
Date: Wed, 04 Apr 2012 12:43:25 +0200
[Message part 1 (text/plain, inline)]
Package: systemd
Version: 44-1
Severity: grave

After upgrading from 37-1.1, many commands fail with error codes 143 or
129 under sudo, including "sudo bash" or "sudo passwd root", meaning
that the problem cannot easily be rectified or circumvented if root
logins are disabled.  Hence, I'm filing this at RC severity, feel free
to downgrade if you cannot reproduce the problem.

Attached is the output of "strace -f sudo env" run under root.  It shows
that sudo was SIGHUP'ed, but I have no idea why that happened.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.3.1-nouveau (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages systemd depends on:
ii  dpkg                 1.16.2
ii  initscripts          2.88dsf-22.1
ii  libacl1              2.2.51-5
ii  libaudit0            1:1.7.18-1.1
ii  libc6                2.13-27
ii  libcap2              1:2.22-1
ii  libcryptsetup4       2:1.4.1-2
ii  libdbus-1-3          1.5.12-1
ii  libkmod2             6-2
ii  liblzma5             5.1.1alpha+20110809-3
ii  libpam0g             1.1.3-7
ii  libselinux1          2.1.9-4
ii  libsystemd-daemon0   44-1
ii  libsystemd-id128-0   44-1
ii  libsystemd-journal0  44-1
ii  libsystemd-login0    44-1
ii  libudev0             175-3.1
ii  libwrap0             7.6.q-23
ii  udev                 175-3.1
ii  util-linux           2.20.1-4

Versions of packages systemd recommends:
ii  libpam-systemd  44-1

Versions of packages systemd suggests:
pn  python       2.7.2-10
pn  systemd-gui  <none>

-- no debconf information

[sudo_env.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package systemd. (Wed, 04 Apr 2012 10:54:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 Apr 2012 10:54:50 GMT) Full text and rfc822 format available.

Message #10 received at 667470@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: 667470@bugs.debian.org, 667470-subscribe@bugs.debian.org,
Subject: systemd: breaks sudo
Date: Wed, 04 Apr 2012 13:54:15 +0300
Hi,

I can reproduce this under wheezy when I install systemd from unstable.

-Timo




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package systemd. (Wed, 04 Apr 2012 12:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 Apr 2012 12:24:11 GMT) Full text and rfc822 format available.

Message #15 received at 667470@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 667470@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Wed, 04 Apr 2012 14:04:02 +0200
[Message part 1 (text/plain, inline)]
reassign 667470 libpam-systemd
found 667470 44-1
forwarded 667470 https://bugs.freedesktop.org/show_bug.cgi?id=45670
thanks

On 04.04.2012 12:43, Sven Joachim wrote:

> After upgrading from 37-1.1, many commands fail with error codes 143 or
> 129 under sudo, including "sudo bash" or "sudo passwd root", meaning
> that the problem cannot easily be rectified or circumvented if root
> logins are disabled.  Hence, I'm filing this at RC severity, feel free
> to downgrade if you cannot reproduce the problem.

I've seen this problem myself some time ago (and filed the upstream bug
report), so we added a workaround in 43-1, where we removed
pam_systemd.so from /etc/pam.d/commen-session-noninteractive (which you
can do yourself, if you rely on sudo).

I wasn't able to reproduce the problem anymore so this workaround was
removed again for the 44-1 upload.

It's apparently pretty hard to reliably reproduce the bug, i.e. describe
the circumstances/environment where this happens.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'systemd' to 'libpam-systemd'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 12:24:25 GMT) Full text and rfc822 format available.

No longer marked as found in versions systemd/44-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 12:24:26 GMT) Full text and rfc822 format available.

Marked as found in versions systemd/44-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 12:24:27 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=45670'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 12:24:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Wed, 04 Apr 2012 12:48:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Luzat <thomas@luzat.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 Apr 2012 12:48:19 GMT) Full text and rfc822 format available.

Message #28 received at 667470@bugs.debian.org (full text, mbox):

From: Thomas Luzat <thomas@luzat.com>
To: 667470@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Wed, 04 Apr 2012 14:47:46 +0200
I can reproduce the issue with exit code 143 on an
unstable/experimental system (x86-64 with custom kernels 3.3 and
3.4-rc1). Interestingly it seems that I was able to run

sudo echo Hello

successfully once, so it does not seem to happen everytime (but that
has really been the only time while testing where it worked). Further
sudo invocations always returned with exit code 143. I might spend
some time debugging that another day. If you need further
system/environment information please contact me.




Merged 667470 667495 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 13:45:08 GMT) Full text and rfc822 format available.

Merged 667470 667495 667515 Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 21:03:09 GMT) Full text and rfc822 format available.

Added indication that 667470 affects sudo Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. (Thu, 05 Apr 2012 10:48:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Mon, 09 Apr 2012 20:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Mon, 09 Apr 2012 20:09:10 GMT) Full text and rfc822 format available.

Message #39 received at 667470@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 667470@bugs.debian.org
Cc: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Bernhard Schmidt <berni@birkenwald.de>, Matthias Berndt <matthias_berndt@gmx.de>
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Mon, 09 Apr 2012 22:07:52 +0200
[Message part 1 (text/plain, inline)]
On 04.04.2012 12:43, Sven Joachim wrote:
> Package: systemd
> Version: 44-1
> Severity: grave
> 
> After upgrading from 37-1.1, many commands fail with error codes 143 or
> 129 under sudo, including "sudo bash" or "sudo passwd root", meaning
> that the problem cannot easily be rectified or circumvented if root
> logins are disabled.  Hence, I'm filing this at RC severity, feel free
> to downgrade if you cannot reproduce the problem.

I think I've found something.

This bug seems to happen only if if you use libpam-systemd.

The reason why I didn't encounter this myself is because I've added
pam_loginuid.so to my login and gdm3* pam config locally.

Could you please update the pam configuration of login and/or the login
manager you are using and include pam_loginuid *before* @include
common-session. In my case I've changed /etc/pam.d/login and
/etc/pam.d/gdm3* and added a line
 session required        pam_loginuid.so
just before
 @include common-session

I'm interested to know if that fixes the problem for you, too.


Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Merged 667470 667495 667515 667814 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 10 Apr 2012 06:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 11:45:06 GMT) Full text and rfc822 format available.

Message #46 received at 667470@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Michael Biebl <biebl@debian.org>, 667470@bugs.debian.org
Cc: Sven Joachim <svenjoac@gmx.de>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, Bernhard Schmidt <berni@birkenwald.de>, Matthias Berndt <matthias_berndt@gmx.de>
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Tue, 10 Apr 2012 12:42:09 +0100
On Mon, 2012-04-09 at 22:07 +0200, Michael Biebl wrote:
> On 04.04.2012 12:43, Sven Joachim wrote:
> > Package: systemd
> > Version: 44-1
> > Severity: grave
> > 
> > After upgrading from 37-1.1, many commands fail with error codes 143 or
> > 129 under sudo, including "sudo bash" or "sudo passwd root", meaning
> > that the problem cannot easily be rectified or circumvented if root
> > logins are disabled.  Hence, I'm filing this at RC severity, feel free
> > to downgrade if you cannot reproduce the problem.
> 
> I think I've found something.
> 
> This bug seems to happen only if if you use libpam-systemd.
> 
> The reason why I didn't encounter this myself is because I've added
> pam_loginuid.so to my login and gdm3* pam config locally.
> 
> Could you please update the pam configuration of login and/or the login
> manager you are using and include pam_loginuid *before* @include
> common-session. In my case I've changed /etc/pam.d/login and
> /etc/pam.d/gdm3* and added a line
>  session required        pam_loginuid.so
> just before
>  @include common-session
> 
> I'm interested to know if that fixes the problem for you, too.
> 
> 
> Cheers,
> Michael

I added pam_loginuid.so to common-session-noninteractive before
pam_systemd.so and it appears to work around the bug.

Regards,

-- 
Sam Morris <sam@robots.org.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 13:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 13:18:08 GMT) Full text and rfc822 format available.

Message #51 received at 667470@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Michael Biebl <biebl@debian.org>
Cc: 667470@bugs.debian.org, Sven Joachim <svenjoac@gmx.de>, Timo Juhani Lindfors <timo.lindfors@iki.fi>, Bernhard Schmidt <berni@birkenwald.de>, Matthias Berndt <matthias_berndt@gmx.de>
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Tue, 10 Apr 2012 14:15:57 +0100
On Tue, 2012-04-10 at 12:42 +0100, Sam Morris wrote:
> I added pam_loginuid.so to common-session-noninteractive before
> pam_systemd.so and it appears to work around the bug.

Correction: adding pam_loginuid.so makes sudo work more often, but not
always. It still fails about 75% of the time (very roughly).

-- 
Sam Morris <sam@robots.org.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 15:12:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alban Browaeys <prahal@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 15:12:29 GMT) Full text and rfc822 format available.

Message #56 received at 667470@bugs.debian.org (full text, mbox):

From: Alban Browaeys <prahal@yahoo.com>
To: Debian Bug Tracking System <667470@bugs.debian.org>
Subject: Re: systemd: breaks sudo
Date: Tue, 10 Apr 2012 16:36:02 +0200
Package: systemd
Version: 44-1
Followup-For: Bug #667470

I found adding pam_loginuid.so fixes the problem in all cases,
except obvously for already running user sessions.
I have plain added it to common-session and
common-session-noninteractive.
Is there an issue with adding it to common-session ? I saw you told to
add it in gdm pam file but would not this let the login console sessions
without a working sudo ?

BR,
Alban

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-rc5test0-00204-gae942ae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages systemd depends on:
ii  dpkg                 1.16.2
ii  initscripts          2.88dsf-22.1
ii  libacl1              2.2.51-5
ii  libaudit0            1:1.7.18-1.1
ii  libc6                2.13-27
ii  libcap2              1:2.22-1
ii  libcryptsetup4       2:1.4.1-2
ii  libdbus-1-3          1.5.12-1
ii  libkmod2             6-2
ii  liblzma5             5.1.1alpha+20110809-3
ii  libpam0g             1.1.3-7
ii  libselinux1          2.1.9-4
ii  libsystemd-daemon0   44-1
ii  libsystemd-id128-0   44-1
ii  libsystemd-journal0  44-1
ii  libsystemd-login0    44-1
ii  libudev0             175-3.1
ii  libwrap0             7.6.q-23
ii  udev                 175-3.1
ii  util-linux           2.20.1-4

Versions of packages systemd recommends:
ii  libpam-systemd  44-1

Versions of packages systemd suggests:
ii  python       2.7.2-10
ii  systemd-gui  44-1

-- Configuration Files:
/etc/systemd/system.conf changed [not included]

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 15:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 15:39:09 GMT) Full text and rfc822 format available.

Message #61 received at 667470@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Alban Browaeys <prahal@yahoo.com>, 667470@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Tue, 10 Apr 2012 16:37:54 +0100
On Tue, 2012-04-10 at 16:36 +0200, Alban Browaeys wrote:
> Package: systemd
> Version: 44-1
> Followup-For: Bug #667470
> 
> I found adding pam_loginuid.so fixes the problem in all cases,
> except obvously for already running user sessions.
> I have plain added it to common-session and
> common-session-noninteractive.
> Is there an issue with adding it to common-session ? I saw you told to
> add it in gdm pam file but would not this let the login console sessions
> without a working sudo ?
> 
> BR,
> Alban

Ah, I see what I did wrong now. I added it to /etc/pam.d/login and
indeed sudo now seems to work 100% of the time. The couple of tests I
performed earlier having added it
to /etc/pam.d/common-session-noninteractive only succeeded by chance.

Anyway, I'm very suspicious that sudo still works *sometimes* without
pam_loginuid.so and caution against papering over this bug, even if the
various owners of /etc/pam.d/{login,*dm,sshd} and so on can be persauded
to add pam_loginuid.so.

Regards,

-- 
Sam Morris <sam@robots.org.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 18:45:02 GMT) Full text and rfc822 format available.

Message #66 received at 667470@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Michael Biebl <biebl@debian.org>
Cc: 667470@bugs.debian.org, Timo Juhani Lindfors <timo.lindfors@iki.fi>, Bernhard Schmidt <berni@birkenwald.de>, Matthias Berndt <matthias_berndt@gmx.de>
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Tue, 10 Apr 2012 20:43:26 +0200
On 2012-04-09 22:07 +0200, Michael Biebl wrote:

> This bug seems to happen only if if you use libpam-systemd.

Certainly, disabling libpam-systemd helped (thanks for the tip, BTW).

> The reason why I didn't encounter this myself is because I've added
> pam_loginuid.so to my login and gdm3* pam config locally.
>
> Could you please update the pam configuration of login and/or the login
> manager you are using and include pam_loginuid *before* @include
> common-session. In my case I've changed /etc/pam.d/login and
> /etc/pam.d/gdm3* and added a line
>  session required        pam_loginuid.so
> just before
>  @include common-session
>
> I'm interested to know if that fixes the problem for you, too.

Tested with login, and it does indeed help.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Tue, 10 Apr 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <email@michaelbiebl.de>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Apr 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #71 received at 667470@bugs.debian.org (full text, mbox):

From: Michael Biebl <email@michaelbiebl.de>
To: Alban Browaeys <prahal@yahoo.com>, 667470@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Tue, 10 Apr 2012 23:41:37 +0200
[Message part 1 (text/plain, inline)]
Am 10.04.2012 16:36, schrieb Alban Browaeys:
> Package: systemd
> Version: 44-1
> Followup-For: Bug #667470
> 
> I found adding pam_loginuid.so fixes the problem in all cases,
> except obvously for already running user sessions.
> I have plain added it to common-session and
> common-session-noninteractive.
> Is there an issue with adding it to common-session ? I saw you told to
> add it in gdm pam file but would not this let the login console sessions
> without a working sudo ?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661745


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Wed, 11 Apr 2012 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernhard Schmidt <berni@birkenwald.de>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 11 Apr 2012 15:06:04 GMT) Full text and rfc822 format available.

Message #76 received at 667470@bugs.debian.org (full text, mbox):

From: Bernhard Schmidt <berni@birkenwald.de>
To: Michael Biebl <biebl@debian.org>
Cc: 667470@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Wed, 11 Apr 2012 16:54:37 +0200
On 09.04.2012 22:07, Michael Biebl wrote:

Hello Michael,

>> After upgrading from 37-1.1, many commands fail with error codes 143 or
>> 129 under sudo, including "sudo bash" or "sudo passwd root", meaning
>> that the problem cannot easily be rectified or circumvented if root
>> logins are disabled.  Hence, I'm filing this at RC severity, feel free
>> to downgrade if you cannot reproduce the problem.
>
> I think I've found something.
>
> This bug seems to happen only if if you use libpam-systemd.
>
> The reason why I didn't encounter this myself is because I've added
> pam_loginuid.so to my login and gdm3* pam config locally.
>
> Could you please update the pam configuration of login and/or the login
> manager you are using and include pam_loginuid *before* @include
> common-session. In my case I've changed /etc/pam.d/login and
> /etc/pam.d/gdm3* and added a line
>   session required        pam_loginuid.so
> just before
>   @include common-session
>
> I'm interested to know if that fixes the problem for you, too.

This fixes the issue for me as well.

Best Regards,
Bernhard




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Thu, 12 Apr 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Thu, 12 Apr 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #81 received at 667470@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 667470@bugs.debian.org
Subject: systemd/sudo problem fixed upstream?
Date: Thu, 12 Apr 2012 10:22:14 +0200
Hi!

As I couldn't find any mention of this in any of the debian bug reports
(or the upstream bug report!) I thought it might be a good idea to mention:

In https://bugs.archlinux.org/task/29320 it is said that the problem is
fixed upstream by commit "logind: close FIFO before ending sessions cleanly"
found at:
http://cgit.freedesktop.org/systemd/systemd/commit/?id=75c8e3cffd7da8eede614cf61384957af2c82a29

I have not verified this myself.

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Thu, 12 Apr 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Thu, 12 Apr 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #86 received at 667470@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: Andreas Henriksson <andreas@fatal.se>
Cc: 667470@bugs.debian.org
Subject: Re: systemd/sudo problem fixed upstream?
Date: Thu, 12 Apr 2012 14:48:29 +0100
> As I couldn't find any mention of this in any of the debian bug reports
> (or the upstream bug report!) I thought it might be a good idea to mention:
> 
> In https://bugs.archlinux.org/task/29320 it is said that the problem is
> fixed upstream by commit "logind: close FIFO before ending sessions cleanly"
> found at:
> http://cgit.freedesktop.org/systemd/systemd/commit/?id=75c8e3cffd7da8eede614cf61384957af2c82a29

This patch doesn't fix the bug for me.

Regards,

-- 
Sam Morris <sam@robots.org.uk>





Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#667470; Package libpam-systemd. (Thu, 26 Apr 2012 22:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uoti Urpala <uoti.urpala@pp1.inet.fi>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Thu, 26 Apr 2012 22:39:10 GMT) Full text and rfc822 format available.

Message #91 received at 667470@bugs.debian.org (full text, mbox):

From: Uoti Urpala <uoti.urpala@pp1.inet.fi>
To: 667470@bugs.debian.org
Subject: Re: Bug#667470: systemd: breaks sudo
Date: Fri, 27 Apr 2012 01:36:48 +0300
If I've understood the issue correctly, the current "forwarded" tag on
this bug is wrong, in the sense that the fundamental underlying problem
is in sudo, and so any possible forwarding waiting for "upstream fix"
should point to a sudo bug.

AFAIK this problem with libpam-systemd is caused by the same sudo bug as
#648066 (and others). sudo incorrectly forks a child process, does the
"open" side of pam authentication there, runs the command to execute in
that child, and then runs the "close" side in the parent (which never
saw anything about the "open", so lacks the state stored from that!).
The specific problem this behavior causes in the libpam-systemd case is
that the fd received during the "open" phase (which is part of the pam
session state) is closed on exec, terminating the session.






Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 07 Jun 2012 22:21:31 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 22:21:31 GMT) Full text and rfc822 format available.

Message #96 received at 667470-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 667470-done@bugs.debian.org
Subject: systemd: breaks sudo
Date: Fri, 08 Jun 2012 00:15:27 +0200
[Message part 1 (text/plain, inline)]
Version: 44-2

    Re-add workaround for non-interactive PAM sessions

    sudo is still broken if pam_loginuid.so is not enabled (which is the
    default). So re-add the workaround to disable pam_systemd.so for
    non-interactive sessions. Closes: #667470

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 07 Jun 2012 22:21:32 GMT) Full text and rfc822 format available.

Notification sent to Bernhard Schmidt <berni@birkenwald.de>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 22:21:32 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 07 Jun 2012 22:21:33 GMT) Full text and rfc822 format available.

Notification sent to Matthias Berndt <matthias_berndt@gmx.de>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 22:21:33 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 07 Jun 2012 22:21:34 GMT) Full text and rfc822 format available.

Notification sent to Achim Schaefer <achim_schaefer@gmx.de>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 22:21:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:35:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:17:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.